Get Samples By Name

Get Samples By Name

There may be multiple samples with the same name. Sample names must be exact and never have leading or trailing whitespace.

Request
URI
GET
https://apigw.vmware.com/sampleExchange/v1/search/samples/name/{name}
COPY
Path Parameters
string
name
Required

name


Authentication
This operation uses the following authentication methods.
Responses
200

successful operation

Returns Array of Sample of type(s) application/json
[
    {
        "id": 0,
        "author": {
            "id": 0,
            "federationId": "string",
            "communitiesUser": "string",
            "fullName": "string",
            "gitHubLogin": "string",
            "gitHubToken": "string",
            "linked": false,
            "score": "number"
        },
        "name": "string",
        "type": "string",
        "created": "string",
        "lastUpdated": "string",
        "lastAutoUpdated": "string",
        "readmeHtml": "string",
        "appendRepositoryReadme": false,
        "repositoryReadmeHtml": "string",
        "ossLicense": "string",
        "downloadUrl": "string",
        "webUrl": "string",
        "gitHubUrl": "string",
        "branch": "string",
        "paths": [
            "string"
        ],
        "files": [
            {
                "id": 0,
                "sampleId": 0,
                "path": "string",
                "url": "string",
                "basicMimeType": "string"
            }
        ],
        "groups": [
            {
                "id": 0,
                "sampleId": 0,
                "name": "string"
            }
        ],
        "categories": [
            {
                "id": 0,
                "parentId": 0,
                "type": "string",
                "name": "string",
                "version": "string"
            }
        ],
        "tags": [
            {
                "id": 0,
                "parentId": 0,
                "category": "string",
                "name": "string"
            }
        ],
        "comments": [
            {
                "id": 0,
                "parentId": 0,
                "type": "string",
                "federationId": "string",
                "communitiesUser": "string",
                "comment": "string",
                "created": "string",
                "lastUpdated": "string"
            }
        ],
        "favoriteCount": 0,
        "downloadCount": 0,
        "score": "number",
        "metadata": "string"
    }
]